> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crewpass.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# List your vessels

> The vessels on your CrewPass account, with their identifiers.

Crew are listed by the fleet endpoint. The list is empty if there are no
vessels on your account yet.

Requires `vessels:fleet:read`.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/employers/me/vessels
openapi: 3.1.0
info:
  title: CrewPass Partner API
  description: >-
    Read the crew, vessel, document and compliance data CrewPass holds for the
    crew on your vessels, with each crew member's consent.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/employers/me/vessels:
    get:
      tags:
        - Fleet
      summary: List your vessels
      description: |-
        The vessels on your CrewPass account, with their identifiers.

        Crew are listed by the fleet endpoint. The list is empty if there are no
        vessels on your account yet.

        Requires `vessels:fleet:read`.
      operationId: list_vessels_api_v2_employers_me_vessels_get
      parameters:
        - name: X-Partner-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key, as an alternative to the `Authorization: Bearer`
              header.
            title: X-Partner-Api-Key
          description: >-
            Your API key, as an alternative to the `Authorization: Bearer`
            header.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VesselsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - PartnerApiKey: []
components:
  schemas:
    VesselsListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/VesselListItem'
          type: array
          title: Items
      type: object
      required:
        - items
      title: VesselsListResponse
      description: The vessels on your account.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VesselListItem:
      properties:
        vessel_id:
          type: string
          title: Vessel Id
        vessel_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vessel Name
        imo:
          anyOf:
            - type: string
            - type: 'null'
          title: Imo
        mmsi:
          anyOf:
            - type: string
            - type: 'null'
          title: Mmsi
        flag_state:
          anyOf:
            - type: string
            - type: 'null'
          title: Flag State
        vessel_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Vessel Type
      type: object
      required:
        - vessel_id
      title: VesselListItem
      description: A vessel on your account.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    PartnerApiKey:
      type: http
      scheme: bearer
      description: Partner API key (`cpk_live_*` / `cpk_test_*`) as a Bearer token.

````